Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200707-09 ] GIMP: Multiple integer overflows
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1706

PostPosted: Thu Jul 26, 2007 8:26 am    Post subject: [ GLSA 200707-09 ] GIMP: Multiple integer overflows Reply with quote

Gentoo Linux Security Advisory

Title: GIMP: Multiple integer overflows (GLSA 200707-09)
Severity: normal
Exploitable: remote
Date: July 25, 2007
Bug(s): #182047
ID: 200707-09

Synopsis

Multiple vulnerabilities have been discovered in GIMP, allowing for the remote execution of arbitrary code.

Background

GIMP is the GNU Image Manipulation Program.

Affected Packages

Package: media-gfx/gimp
Vulnerable: < 2.2.16
Unaffected: >= 2.2.16
Architectures: All supported architectures


Description

Sean Larsson from iDefense Labs discovered multiple integer overflows in various GIMP plugins (CVE-2006-4519). Stefan Cornelius from Secunia Research discovered an integer overflow in the seek_to_and_unpack_pixeldata() function when processing PSD files (CVE-2007-2949).

Impact

A remote attacker could entice a user to open a specially crafted image file, possibly resulting in the execution of arbitrary code with the privileges of the user running GIMP.

Workaround

There is no known workaround at this time.

Resolution

All GIMP users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-gfx/gimp-2.2.16"


References

CVE-2006-4519
CVE-2007-2949
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum